--ليست بيمه نامه هايي كه قبلا صادر شده
--Select * from V_CAR_PolicyThirdExtra P ,TCarInternetAuto T Where PolicyIDPrev=T.PolicyNo and PolicyState>100
--ليست بيمه نامه هايي كه تاريخ بعد از بيمه نامه است
--Select * from V_CAR_PolicyThird P ,TCarInternetAuto T Where P.PolicyNo=T.PolicyNo and PolicyState>100 And ActionDate>P.EndDate
--Select * from TCarInternetAuto T Where ActionDate>EndDate
--ليست بيمه نامه هايي كه بيمه نامه اصلي شان بيمه نامه دائم يا الحاقيه دائم نيست
--SELECT T.* FROM TCarInternetAuto T ,V_Car_PolicyThird P Where T.PolicyNo=P.PolicyNo And P.PolicyState Not In (101,201)


Declare 	@PrevPolicyID dtPolicyID , -- شماره بيمه نامه ثالث
	@NationallID varchar(12) ,  --کد ملي
	@SerialNo varchar(20) ,    -- شماره سريال بيمه نامه ثالث
	@Description varchar(50) , 
	@Signer1ID int=100100 ,
	@Signer2ID int=100100 ,
	@UnitID dtAgencyID=100100 ,
	@UserID Int=100100,
	@ActionDate dtDate ,
	@AgencyID dtAgencyID=100100 ,
	@SupportBodyValue dtMoney,
	@SupportCreditValue dtMoney,
	@SupportAccidentValue dtMoney,
	@SupportHealthValue dtMoney=0,
	@TariffID dtID,
	@RowID Int,
	--------------------------------------------------------مالي
	@AccountNo Numeric(30)=11111000230,       --- شماره حساب بانكي
	@DisposalAccountID Numeric(30)=11111000230,-- شماره حساب در جدول T_CMN_BankAccount
	@AccountOwner varchar(50)='بيمه پارسيان',    --- نام صاحب حساب
	@FishDescription varchar(255)='صدور اتوماتيك از فروش اينترنتي',--- توضيحات براي فيش بانكي
	@DocDescription varchar(255)='صدور اتوماتيك از فروش اينترنتي', --- توضيحات براي سند صندوق
	@ReceiptAmount dtMoney,  --- مبلغ
	@ReceiptDate varchar(10),     --- تاريخ واريز
	@BankID dtID=1573,                 --- شماره بانك از جدول T_CMN_Bank
	@FishNo Varchar(25),          ---شماره فيش 
	@SignerIDMali1 dtID=100100,          --- امضا كننده اول قبض رسيد
	@SignerIDMali2 dtID=100100           --- امضا كننده دوم قبض رسيد

	Declare @Cr   As CurSor

	Set @Cr=Cursor LOCAL SCROLL For 
SELECT Top 10 
	  T.RowID
	  ,T.PolicyNo
      ,T.Amount
      ,T.SupportCreditValue
      ,T.SupportBodyValue
      ,T.SupportAccidentValue
      ,T.ReceiptDate
      ,T.FishNo
      ,T.ActionDate
      ,T.NationallID
      ,T.SerialNo
  FROM TCarInternetAuto T ,V_Car_PolicyThird P Where T.EndDate>T.ActionDate And T.PolicyNo=P.PolicyNo And P.PolicyState In (101,201)


	Open @Cr
		Fetch Next From @Cr Into @RowID,@PrevPolicyID
							  ,@ReceiptAmount
							  ,@SupportCreditValue
							  ,@SupportBodyValue
							  ,@SupportAccidentValue
							  ,@ReceiptDate
							  ,@FishNo
							  ,@ActionDate
							  ,@NationallID
							  ,@SerialNo
	While @@Fetch_Status=0
	Begin
		If Not Exists(Select Top 1 1 from V_CAR_PolicyThirdExtra Where PolicyIDPrev=@PrevPolicyID and PolicyState>100)
		Begin
		IF @RowID>10000
		Begin
			Set @Signer1ID =100100 
			Set @Signer2ID =100100 
			Set @UnitID =100100 
			Set @UserID =100100
			Set @SignerIDMali1 =100100         
			Set @SignerIDMali2 =100100           
		End
		Else 
		Begin
			Set @Signer1ID =21050981 
			Set @Signer2ID =21050981
			Set @UnitID =210100
			Set @UserID =210100
			Set @SignerIDMali1 =21050981
			Set @SignerIDMali2 =21050981
		End
		
		Print @PrevPolicyID
		EXECUTE SP_Car_PolicyThirdExtra_CreatePolicyFromInternet
			@RowID
		  ,@PrevPolicyID
		  ,@NationallID
		  ,@SerialNo
		  ,@Description
		  ,@Signer1ID
		  ,@Signer2ID
		  ,@UnitID
		  ,@UserID
		  ,@ActionDate
		  ,@AgencyID
		  ,@SupportBodyValue
		  ,@SupportCreditValue
		  ,@SupportAccidentValue
		  ,@SupportHealthValue
		  ,@TariffID
		  ,@AccountNo
		  ,@DisposalAccountID
		  ,@AccountOwner
		  ,@FishDescription
		  ,@DocDescription
		  ,@ReceiptAmount
		  ,@ReceiptDate
		  ,@BankID
		  ,@FishNo
		  ,@SignerIDMali1
		  ,@SignerIDMali2
		 End
		 Else 
			Print @PrevPolicyID

		Fetch Next From @Cr Into @RowID,@PrevPolicyID
							  ,@ReceiptAmount
							  ,@SupportCreditValue
							  ,@SupportBodyValue
							  ,@SupportAccidentValue
							  ,@ReceiptDate
							  ,@FishNo
							  ,@ActionDate
							  ,@NationallID
							  ,@SerialNo
	End
	Close @Cr
	Deallocate @Cr
